package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAdvertiserStrategy;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 快手账户策略设置信息表
 * @Author: jeecg-boot
 * @Date:   2021-01-25
 * @Version: V1.0
 */
public interface IAiKuaishouAdvertiserStrategyService extends IService<AiKuaishouAdvertiserStrategy> {

    AiKuaishouAdvertiserStrategy getByAccountId(Long accountId);

    Map<String, Object> testCreate(Long accountId);

    /**
     * 补充历史遗漏素材
     * @param accountId
     * @return
     */
    Map<String, Object> aiHistoricalMissingMaterial(Long accountId);

    List<AiKuaishouAdvertiserStrategy> getAllEffectStrategy();

    PageInfo<AiKuaishouAdvertiserStrategy> queryList(AiKuaishouAdvertiserStrategy aiKuaishouAdvertiserStrategy);
}
